Bug 1265188 - WEB-UI: RBAC - While adding a new group, the "Role" and "Project/Tenant" drop down's default value displays as "Choose"
WEB-UI: RBAC - While adding a new group, the "Role" and "Project/Tenant" drop...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: GA
: 5.5.0
Assigned To: Robin Knaur
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 06:53 EDT by Ramesh A
Modified: 2015-12-08 08:32 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.5.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:32:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Default drop down value changed (95.36 KB, image/png)
2015-09-22 06:53 EDT, Ramesh A
no flags Details
"Choose a Role" as a choice (15.13 KB, image/png)
2015-09-24 12:27 EDT, Eric Winchell
no flags Details

  None (edit)
Description Ramesh A 2015-09-22 06:53:49 EDT
Created attachment 1075765 [details]
Default drop down value changed

Description of problem:
While adding a new group, the "Role" and "Project/Tenant" drop down's default value displays as "Choose" and in Bold characters.

Version-Release number of selected component (if applicable):
5.5.0.1-alpha1.20150915151429_2230bd4

How reproducible:
100%

Steps to Reproduce:
1. Navigate to Configure==> Configuration ==> Access Control==> CFME Region: Region 0 [0]==> Groups ==> Configuration==> Add a new Group
2. Observe the Role and Project/Tenant drop down's default value

Actual results:
Displays the default value as "Choose" in bold characters

Expected results:
1. Should display "<Choose a Role>" for the default value in Role drop down
2. Should display appropriate default value for Project/Tenant drop down

Additional info:
Comment 2 Eric Winchell 2015-09-24 12:27 EDT
Created attachment 1076620 [details]
"Choose a Role" as a choice
Comment 4 Robin Knaur 2015-09-29 05:54:43 EDT
https://github.com/ManageIQ/manageiq/pull/4566
Comment 6 CFME Bot 2015-10-14 17:10:29 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/3483c632cb9a590920f1c731d1697bd39b88c90b

commit 3483c632cb9a590920f1c731d1697bd39b88c90b
Author:     Robin Knaur <rknaur@redhat.com>
AuthorDate: Tue Sep 29 11:44:39 2015 +0200
Commit:     Robin Knaur <rknaur@redhat.com>
CommitDate: Mon Oct 12 15:51:48 2015 +0200

    Fixed dropdonws in Add new Group
    https://bugzilla.redhat.com/show_bug.cgi?id=1265188

 app/controllers/ops_controller/ops_rbac.rb  | 11 +++++++++--
 app/views/ops/_rbac_group_details.html.haml |  5 ++---
 2 files changed, 11 insertions(+), 5 deletions(-)
Comment 7 Ramesh A 2015-10-28 01:41:14 EDT
Good to go.  Verified and working fine in 5.5.0.7-beta1.3.20151021133253_ed40d96
Comment 9 errata-xmlrpc 2015-12-08 08:32:07 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.